<template>
  <div class="input">
    <input type="text" placeholder="Ville.."><button @click="getWeatherByCity">Chercher</button>
    <FetchByCity></FetchByCity>
  </div>
</template>

<script>
import FetchByCity from "@/components/FetchByCity";

export default {
  name: 'InputCity',
  components: {
    FetchByCity
  },
  props: {
    msg: String
  },
  methods: {
    getWeatherByCity() {
      FetchByCity.methods.getWeatherByCity();
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
input {
  width: 10%;
  height: 25px;
  text-align: center;
  font-size: 20px;
}
button {
  height: 30px;
}
</style>
